Update Inventory

Endpoint

PATCH /inventories/{id}

Authentication

Required: Authorization header with valid token

Path Parameters

ParameterTypeRequiredDescription
idstringYesInventory unique identifier

Request Body

JSON

{
  "title": "string",
  "additionalInformation": "string",
  "productId": "uuid",
  "idNumber": "string",
  "specifications": [],
  "mediaId": "uuid",
  "externalId": "string",
  "stocks": [
    {
      "warehouseId": "uuid",
      "quantity": "number"
    }
  ]
}

Response

Returns InventoryEntity Schema

Error

See Error Schema documentation

Example Usage

Update inventory title and stocks

Bash

curl -X PATCH "https://integration-api.ram.syniotec.com/master-data/v1/inventory-management/inventories/123e4567-e89b-12d3-a456-426614174000" \
 -H "Authorization: Bearer YOUR_TOKEN" \
 -H "Content-Type: application/json" \
 -d '{
 "title": "Excavator CAT 320 Updated"
 }'